﻿@model IEnumerable<RealEstateNews.Models.PostVM>

@{
    ViewData["Title"] = "Posts";
    Layout = "~/Areas/Admin/Views/Shared/_AdminLayout.cshtml";
}
<div class="container">
    <h2>Posts</h2>

    <p>
        <a asp-action="CreatePost">Create New</a>
    </p>
    <table class="table table-striped">
        <thead class="thead-dark">
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.Id)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Title)
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Id)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Title)
                    </td>
                    <td>
                        @Html.ActionLink("Edit", "EditPost", new { id = item.Id }) |
                        @Html.ActionLink("Details", "Index", "Post",new {  id=item.Id, slug=item.Title.GenerateSlug(), area="" })
                    </td>
                </tr>
            }
        </tbody>
    </table>
</div>
